package sgc.portal.cw.cw1304.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1304.model.CW13040001U;
import sgc.portal.cw.cw1304.dto.CW13040001USearch;
import sgc.portal.cw.cw1304.model.CW13040001U;
import sgc.portal.cw.cw1304.service.CW13040001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw1304")
public class CW13040001UController {
    private final CW13040001UService service;

    public CW13040001UController(CW13040001UService service) {
        this.service = service;
    }

    @PostMapping("/CW13040001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW13040001USearch search) {
        return service.getList(search);
    }
    
    @PostMapping("/CW13040001U/save")
    public Map<String, String> save(@RequestBody List<CW13040001U> CW13040001U) {
    	return service.save(CW13040001U);
    }
}
